/* Code from https://www.w3schools.com/howto/howto_css_modals.asp */

/* The Modal (background) */
.modal {
  display: flex; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
  justify-content: center;
  align-items: flex-end;
}

/* Modal Content/Box */
.modal-content {
  position: relative;
  padding: 10px;
  width: 60%;
  height: auto;
  background-color: rgb(243, 243, 230);
  border: 5px solid #888;
  border-radius: 10px 10px 0px 0px;
  box-shadow: 10px 10px;
  font-family: "Georgia", sans-serif;
  animation-name: animatebottom;
  animation-duration: 0.4s;
}

/* Add Animation */
@keyframes animatebottom {
  from {
    bottom: -300px;
    opacity: 0;
  }
  to {
    bottom: 0;
    opacity: 1;
  }
}

/* The Close Button */
.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

/* Modal Header */
.modal-header {
  padding: 2px 16px;
  background-color: #f6bbe9;
  color: rgb(77, 54, 95);
  font-family: "Georgia", sans-serif;
  margin-bottom: 10px;
}

/* Modal Body */
.comments {
  padding: 2px 5px;
  font-family: "Georgia", sans-serif;
}

.no-comments {
  display: block;
  font-size: large;
  font-weight: 600;
}

.hidden {
  display: none;
}

/* Modal Footer */
.modal-footer {
  padding: 2px 16px;
  color: rgb(77, 54, 95);
  font-family: "Georgia", sans-serif;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

/* Modal Footer */
.page-button {
  width: 40px;
  height: 35px;
  color: rgb(77, 54, 95);
  font-weight: 1000;
  font-size: 18px;
  font-family: "Georgia", sans-serif;
  background-color: rgb(208, 223, 237);
  border-radius: 10px;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.reverse {
  transform: scale(-1, 1);
}

.page-number {
  margin: 0px 5px 0px 5px;
  font-size: 16px;
  font-weight: 800;
}
